<template>
    <div class="tab">
      <input :id="content.title" type="checkbox">
      <label class="tab-label" :for="content.title">{{ content.title }}</label>
      <div class="tab-content">
        <p v-for='(item, index) in content.text' :key='index'>{{ item }}</p>
      </div>
    </div>
</template>

<script>
export default {
  props: {
    content: {
      type: Object,
      default: () => {
        return {
          title: '',
          text: []
        }
      }
    },
  }
}
</script>

<style lang='scss' scoped>
input {
  position: absolute;
  opacity: 0;
  z-index: -1;
}

input:checked {
  + .tab-label {
    &::after {
      transform: translateY(-50%);
    }
  }
  ~ .tab-content {
    max-height: 100vh;
    padding: 25px 30px;
  }
}

.tab {
  background: #0E1B4E;
  border-radius: 12px;
  width: 100%;
  color: white;
  overflow: hidden;
  &-label {
    display: flex;
    justify-content: space-between;
    padding: 24px 50px 24px 30px;
    background: #0E1B4E;
    cursor: pointer;
    font-size: 16px;
    position: relative;
    /* Icon */
    &::after {
      position: absolute;
      content: "";
      width: 14px;
      height: 2px;
      transition: all .35s;
      right: 30px;
      top: 50%;
      transform: translateY(-50%) rotate(90deg);
      background: linear-gradient(77.9deg, #0066FF -3.83%, #2CE0C5 110.36%);
    }

    &::before {
      position: absolute;
      content: "";
      width: 14px;
      height: 2px;
      transition: all .35s;
      right: 30px;
      top: 50%;
      transform: translateY(-50%);
      background: linear-gradient(77.9deg, #0066FF -3.83%, #2CE0C5 110.36%);
    }
  }
  &-content {
    max-height: 0;
    padding: 0 30px;
    font-size: 14px;
    line-height: 24px;
    background: #0E1B4E;
    color: #ADBAD0;
    transition: all .35s;
    position: relative;

    p {
      margin: 0;
    }

    p:not(:last-child) {
      margin-bottom: 30px;
    }

    &::before {
      content: "";
      position: absolute;
      background: #2B3764;
      height: 1px;
      left: 50%;
      transform: translateX(-50%);
      top: 0;
      width: calc(100% - 60px);
    }
  }
}

</style>
